//
// $Id: Hello.cpp 85326 2009-05-13 16:32:06Z johnnyw $
//
#include "Hello.h"

ACE_RCSID(Hello, Hello, "$Id: Hello.cpp 85326 2009-05-13 16:32:06Z johnnyw $")

Hello::Hello (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

char *
Hello::get_string (void)
{
  return CORBA::string_dup ("Hello there!");
}

void
Hello::shutdown (void)
{
  this->orb_->shutdown (0);
}
